Get Transaction
curl --request GET \
--url https://api-bluvo.com/v0/wallet/transaction/{transactionId} \
--header 'x-bluvo-api-key: <api-key>' \
--header 'x-bluvo-org-id: <api-key>' \
--header 'x-bluvo-project-id: <api-key>'import requests
url = "https://api-bluvo.com/v0/wallet/transaction/{transactionId}"
headers = {
"x-bluvo-api-key": "<api-key>",
"x-bluvo-org-id": "<api-key>",
"x-bluvo-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bluvo-api-key': '<api-key>',
'x-bluvo-org-id': '<api-key>',
'x-bluvo-project-id': '<api-key>'
}
};
fetch('https://api-bluvo.com/v0/wallet/transaction/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "tx_01H9X3Z7N5V2KJ4G8P6QR5T3Y2",
"walletId": "wallet_01H9X3Z7N5V2KJ4G8P6QR5T3Y2",
"createdAt": 1713897600000,
"updatedAt": 1713897600000,
"timestamp": 1713897600000,
"type": "withdrawal",
"amount": 0.1,
"currency": "BTC",
"direction": "out",
"feeCost": 0.0001,
"feeCurrency": "BTC",
"amountInFiat": 9650.5,
"feeInFiat": 9.65,
"fiatCurrency": "USD",
"status": "ok",
"addressTo": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq",
"network": "bitcoin",
"addressFrom": null
}{
"error": "Insufficient permissions",
"type": "APIKEY_INSUFFICIENT_PERMISSIONS",
"missing": [
"read"
]
}{
"error": "Transaction not found",
"type": "GENERIC_NOT_FOUND"
}Wallets
Get Transaction
Get a single transaction by its ID.
Required API Key Scopes: read
GET
/
v0
/
wallet
/
transaction
/
{transactionId}
Get Transaction
Authorizations
Bluvo API Key
Bluvo Organization ID
Bluvo Project ID
Path Parameters
The transaction ID
Response
Successful response
Available options:
deposit, withdrawal, transaction Available options:
pending, ok, failed, canceled Available options:
in, out, null Available options:
USD, EUR, null Was this page helpful?
⌘I